function [F, f] = construct_source_term(X, Y, N)
    % Define source term f1 
    f = exp(-2000 * ((X - 0.75).^2 + (Y - 0.75).^2));  % Gaussian distribution of f

    % Reshape f into a column vector F for compatibility with matrix operations
    F = reshape(f, (N+2)^2, 1);
end
